VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CDS_InfoTests"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'================ Tests summary ============
' Shared module version: 20210306
Option Explicit

Public count_ As Long
Public success_ As Long
Public failed_ As Long

Public Function AddTest(bResult As Boolean)
  count_ = count_ + 1
  If bResult Then
    success_ = success_ + 1
  Else
    failed_ = failed_ + 1
  End If
End Function

Public Function MergeStats(iSource As CDS_InfoTests)
  If iSource Is Nothing Then _
    Exit Function
  count_ = count_ + iSource.count_
  success_ = success_ + iSource.success_
  failed_ = failed_ + iSource.failed_
End Function
